<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2022 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->
<permissions>
    <privapp-permissions package="com.android.providers.media.module">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WATCH_APPOPS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <!-- Permissions required for reading and logging compat changes -->
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.REGISTER_STATS_PULL_ATOM" />
        <!-- Permissions required for reading DeviceConfig -->
        <permission name="android.permission.READ_DEVICE_CONFIG" />
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
        <permission name="android.permission.MODIFY_QUIET_MODE"/>
        <!-- Permissions required to check if an app is in the foreground or not during IO -->
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>

        <permission name="com.hihonor.security.permission.ACCESS_BEHAVIOR_RECORD" />
    </privapp-permissions>
</permissions>